# This file created by conda-build 3.21.7
# meta.yaml template originally from:
# /feedstock/recipe, last modified Thu Feb 10 13:39:50 2022
# ------------------------------------------------

package:
  name: jupyterlab_server
  version: 2.10.3
source:
  fn: jupyterlab_server-2.10.3.tar.gz
  sha256: 3fb84a5813d6d836ceda773fb2d4e9ef3c7944dbc1b45a8d59d98641a80de80a
  url: https://pypi.io/packages/source/j/jupyterlab_server/jupyterlab_server-2.10.3.tar.gz
build:
  noarch: python
  number: '1'
  script: /opt/conda/conda-bld/jupyterlab_server_1644500396812/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_place/bin/python
    -m pip install . --no-deps --ignore-installed --no-cache-dir -vvv
  string: pyhd3eb1b0_1
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - anyio 3.5.0 py310h06a4308_0
    - argon2-cffi 20.1.0 py310h7f8727e_1
    - async_generator 1.10 pyhd3eb1b0_0
    - attrs 21.4.0 pyhd3eb1b0_0
    - bleach 4.1.0 pyhd3eb1b0_0
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2021.10.26 h06a4308_2
    - certifi 2021.5.30 py310h06a4308_0
    - cffi 1.15.0 py310hd667e15_1
    - defusedxml 0.7.1 pyhd3eb1b0_0
    - deprecation 2.1.0 pyhd3eb1b0_0
    - entrypoints 0.3 py310h06a4308_0
    - idna 3.3 pyhd3eb1b0_0
    - importlib-metadata 4.8.2 py310h06a4308_0
    - importlib_metadata 4.8.2 hd3eb1b0_0
    - ipython_genutils 0.2.0 pyhd3eb1b0_1
    - jinja2 3.0.2 pyhd3eb1b0_0
    - jsonschema 3.2.0 pyhd3eb1b0_2
    - jupyter-packaging 0.11.1 pyhd3eb1b0_0
    - jupyter_client 7.1.2 pyhd3eb1b0_0
    - jupyter_core 4.9.1 py310h06a4308_0
    - jupyter_server 1.13.5 pyhd3eb1b0_0
    - jupyterlab_pygments 0.1.2 py_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libsodium 1.0.18 h7b6447c_0
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - libuuid 1.0.3 h7f8727e_2
    - markupsafe 2.0.1 py310h7f8727e_0
    - mistune 0.8.4 py310h7f8727e_1000
    - nbclient 0.5.3 pyhd3eb1b0_0
    - nbconvert 6.1.0 py310h06a4308_0
    - nbformat 5.1.3 pyhd3eb1b0_0
    - ncurses 6.3 h7f8727e_2
    - nest-asyncio 1.5.1 pyhd3eb1b0_0
    - openssl 1.1.1m h7f8727e_0
    - packaging 21.3 pyhd3eb1b0_0
    - pandocfilters 1.5.0 pyhd3eb1b0_0
    - pip 21.2.4 py310h06a4308_0
    - prometheus_client 0.13.1 pyhd3eb1b0_0
    - ptyprocess 0.7.0 pyhd3eb1b0_2
    - pycparser 2.21 pyhd3eb1b0_0
    - pygments 2.11.2 pyhd3eb1b0_0
    - pyparsing 3.0.4 pyhd3eb1b0_0
    - pyrsistent 0.18.0 py310h7f8727e_0
    - python 3.10.0 h12debd9_4
    - python-dateutil 2.8.2 pyhd3eb1b0_0
    - pyzmq 22.3.0 py310h295c915_2
    - readline 8.1.2 h7f8727e_1
    - send2trash 1.8.0 pyhd3eb1b0_1
    - setuptools 58.0.4 py310h06a4308_0
    - six 1.16.0 pyhd3eb1b0_0
    - sniffio 1.2.0 py310h06a4308_1
    - sqlite 3.37.2 hc218d9a_0
    - terminado 0.13.1 py310h06a4308_0
    - testpath 0.5.0 pyhd3eb1b0_0
    - tk 8.6.11 h1ccaba5_0
    - tomlkit 0.9.2 pyhd3eb1b0_0
    - tornado 6.1 py310h7f8727e_0
    - traitlets 5.1.1 pyhd3eb1b0_0
    - tzdata 2021e hda174b7_0
    - webencodings 0.5.1 py310h06a4308_1
    - websocket-client 0.58.0 py310h06a4308_4
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zeromq 4.3.4 h2531618_0
    - zipp 3.7.0 pyhd3eb1b0_0
    - zlib 1.2.11 h7f8727e_4
  run:
    - babel
    - entrypoints >=0.2.2
    - jinja2 >=2.10
    - json5
    - jsonschema >=3.0.1
    - jupyter_server >=1.4,<2
    - packaging
    - python >=3.6
    - requests
test:
  commands:
    - python -m pip check
  downstreams:
    - jupyterlab
  imports:
    - jupyterlab_server
  requires:
    - pip
about:
  dev_url: https://github.com/jupyterlab/jupyterlab_server
  doc_url: https://jupyterlab-server.readthedocs.io/en/stable/
  home: https://github.com/jupyterlab/jupyterlab_server
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: A set of server components for JupyterLab and JupyterLab like applications.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - SylvainCorlay
    - afshin
    - blink1073
    - bollwyvl
    - jasongrout
    - jtpio
